Get the health of a single adapter
Returns the health of a single adapter in Itential Platform.
Authentication
AuthorizationBasic
Basic authentication of the form Basic <base64(username:password)>.
Path parameters
name
The name for the selected adapter.
Response
Contains the selected adapters health data.
id
package_id
The model used by the service
version
type
Allowed values:
description
state
Allowed values:
connection
uptime
Number of seconds the current process has been running.
memoryUsage
cpuUsage
Contains microsecond data for user and system modes. These values are used to calculate CPU usage (with implied conversions) by the following formula : (current CPU usage - previous CPU usage) / (current uptime - previous uptime)
pid
logger
routePrefix
prevUptime
Errors
500
Internal Server Error